# Class MoneyMultiplierModifier

#### Hierarchy (view full)

- PersistentModifier
  - MoneyMultiplierModifier

- Defined in src/modifier/modifier.ts:1742

#####
Index

### Constructors

constructor

### Properties

stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new MoneyMultiplierModifier(type, stackCount?): MoneyMultiplierModifier

- #### Parameters

  - type: ModifierType
  - `Optional` stackCount: number

  #### Returns MoneyMultiplierModifier

  Overrides PersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:1743

## Properties

### stackCount

stackCount: number

Inherited from PersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### type

type: ModifierType

Inherited from PersistentModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from PersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from PersistentModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PersistentModifier.apply

  - Defined in src/modifier/modifier.ts:1755

### clone

- clone(): MoneyMultiplierModifier

- #### Returns MoneyMultiplierModifier

  Overrides PersistentModifier.clone

  - Defined in src/modifier/modifier.ts:1751

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Inherited from PersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:165

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:192

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from PersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxStackCount

- getMaxStackCount(scene): number

- #### Parameters

  - scene: default

  #### Returns number

  Overrides PersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:1761

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from PersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from PersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:188

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PersistentModifier.match

  - Defined in src/modifier/modifier.ts:1747

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from PersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:131